%define realname	activecluster
%define name		%{realname}-bootstrap
%define version		1.0
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	ActiveCluster Framework Bootstrap
Url:		http://activecluster.codehaus.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Apache Software License 2.0
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	http://dist.codehaus.org/activecluster/distributions/activecluster-1.0-src.tar.gz

Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        activecluster-bootstrap-1.0-jpp-depmap.xml
Source5:	http://dist.codehaus.org/activemq/distributions/activemq-release-1.5-src.tar.gz
Patch0:		activecluster-bootstrap-1.0-project_xml.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	junit 
BuildRequires:	maven
BuildRequires:	jakarta-commons-logging
BuildRequires:	concurrent
BuildRequires:	geronimo-specs 
BuildRequires:	jdbm
BuildRequires:	junit
BuildRequires:	log4j
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Use this package only for first builds of activemq.

%prep
%setup -q -n %{realname}-%{version}
tar xzf %{SOURCE5}
cp -pr activemq-release-1.5/modules/core/src/java/* src/java
rm -rf activemq-release-1.5

chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
  mv $f $f.no
done


%patch0 -b .sav

%build
export DEPCAT=$(pwd)/activecluster-bootstrap-1.0-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > activecluster-bootstrap-1.0-depmap.new.xml

for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
commons-logging \
concurrent \
geronimo/spec-j2ee-jacc-1.0 \
geronimo/spec-j2ee-management-1.0 \
geronimo/spec-jms-1.1 \
geronimo/spec-jta-1.0.1B \
jdbm \
junit \
log4j \


maven -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$(pwd)/.maven \
	-Dmaven.test.skip=true \
	jar:jar

mkdir tmp
pushd tmp
jar xf ../target/activecluster-1.0.jar
rm -rf org/codehaus/activemq
jar cf ../target/activecluster-1.0.jar org
popd

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 target/%{realname}-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{realname}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/*

%changelog
* Mon Feb 28 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-1jpp
- First release

